/***********************************************************************
 *    DecoEmojiListResultInfo.
 *
 * [File]
 *     DecoEmojiListResultInfo.java
 *
 *     Copyright (C) 2014 OMRON SOFTWARE Corporation.
 *     All rights reserved.
 *
 * [Description]
 *     Params for DecoEmojiListResult.
 ************************************************************************/
package com.emojisampleapplication;

import android.os.Parcel;
import android.os.Parcelable;

public class DecoEmojiListResultInfo implements Parcelable {

    private String mUri;
    private String mCode;
    private int mTag;

    /** */
    public static final Parcelable.Creator<DecoEmojiListResultInfo> CREATOR = new Parcelable.Creator<DecoEmojiListResultInfo>() {
        public DecoEmojiListResultInfo createFromParcel(Parcel in) {
            return new DecoEmojiListResultInfo(in);
        }
        public DecoEmojiListResultInfo[] newArray(int size) {
            return new DecoEmojiListResultInfo[size];
        }
    };

    /**
     * コンストラクタ 
     */
    public DecoEmojiListResultInfo() {
    }

    /**
     * コンストラクタ 
     * @param in Parcel
     */
    private DecoEmojiListResultInfo(Parcel in) {
        readFromParcel(in);
    }

    /*
     * (non-Javadoc)
     *
     * @see android.os.Parcelable#describeContents()
     */
    public int describeContents() {
        return 0;
    }

    /**
     * readFromParcel
     * @param in Parcel
     */
    private void readFromParcel(Parcel in) {
        mUri = in.readString();
        mCode = in.readString();
        mTag = in.readInt();
    }

    /*
     * (non-Javadoc)
     *
     * @see android.os.Parcelable#writeToParcel(android.os.Parcel, int)
     */
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(mUri);
        dest.writeString(mCode);
        dest.writeInt(mTag);
    }

    /**
     * @return URI
     */
    public String getUri() {
        return mUri;
    }

    /**
     * @param URI
     */
    public void setUri(String uri) {
        mUri = uri;
    }

    /**
     * @return タグ情報
     */
    public int getTag() {
        return mTag;
    }

    /**
     * @param タグ情報
     */
    public void setTag(int tag) {
        mTag = tag;
    }

    /**
     * @return 文字コード
     */
    public String getCode() {
        return mCode;
    }

    /**
     * @param 文字コード
     */
    public void setCode(String code) {
        this.mCode = code;
    }
}